## r-cran-lhs 0.10

=== DESCRIPTION ===
Package: lhs
Version: 0.10
Date: 2012-07-12
Title: Latin Hypercube Samples
Authors@R: c(person("Rob", "Carnell", role=c("aut","cre"),
        email="carnellr@battelle.org"))
Depends: R (>= 2.14.2)
Description: This package provides a number of methods for creating and
        augmenting Latin Hypercube Samples
License: GPL (>= 2)
Author: Rob Carnell [aut, cre]
Maintainer: Rob Carnell <carnellr@battelle.org>
Repository: CRAN
Repository/R-Forge/Project: lhs
Repository/R-Forge/Revision: 45
Packaged: 2012-07-13 06:21:04 UTC; rforge
Date/Publication: 2012-07-13 16:24:19

=== debian/changelog ===
r-cran-lhs (0.10-1) unstable; urgency=low

  * Initial release (Closes: #712158)

 -- Pablo Oliveira <pablo@sifflez.org>  Thu, 13 Jun 2013 18:07:00 +0200

=== debian/control ===
Source: r-cran-lhs
Section: gnu-r
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Pablo Oliveira <pablo@sifflez.org>
Build-Depends: r-base-dev, xvfb, xauth, xfonts-base, r-base-core,
 debhelper (>> 4.1.0), cdbs, dpkg-dev (>= 1.16.1)
Standards-Version: 3.9.4
Vcs-Git: git://git.debian.org/git/debian-science/packages/r-cran-lhs.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/r-cran-lhs.git
Homepage: http://cran.r-project.org/web/packages/lhs/

Package: r-cran-lhs
Architecture: any
Depends: ${R:Depends}, ${shlibs:Depends}
Description: GNU R package "lhs: Latin Hypercube Samples"
 This package provides a number of methods for creating and augmenting Latin
 Hypercube Samples.
 .
 Latin hypercube sampling (LHS) is a statistical method for generating a sample
 of plausible collections of parameter values from a multidimensional
 distribution. The sampling method is often used to construct computer
 experiments.

=== debian/rules ===
#!/usr/bin/make -f

# Compile library with the read-only relocation link flag
include /usr/share/dpkg/buildflags.mk
space :=
space +=
makeFlags := "LDFLAGS=$(subst $(space),\$(space),$(LDFLAGS))"

debRreposname := cran
include /usr/share/R/debian/r-cran.mk

=== debian/watch ===
# watch control file for uscan
version=3
http://cran.r-project.org/src/contrib/lhs_(.+).tar.gz

## r-cran-lhs 0.14

=== DESCRIPTION ===
Package: lhs
Version: 0.14
Date: 2016-08-08
Title: Latin Hypercube Samples
Authors@R: c(person("Rob", "Carnell", role=c("aut","cre"),
  email="bertcarnell@gmail.com"))
Author: Rob Carnell [aut, cre]
Maintainer: Rob Carnell <bertcarnell@gmail.com>
Depends: R (>= 2.14.2)
Suggests: RUnit
Description: Provides a number of methods for creating and augmenting Latin Hypercube Samples.
License: GPL (>= 2)
URL: http://lhs.r-forge.r-project.org
BugReports: http://r-forge.r-project.org/projects/lhs/
NeedsCompilation: yes
Packaged: 2016-08-09 02:03:37 UTC; Rob
Repository: CRAN
Date/Publication: 2016-08-09 11:41:56

=== debian/changelog ===
r-cran-lhs (0.14-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * cme fix dpkg-control
  * debhelper 10
  * Convert to dh-r
  * Canonical homepage for CRAN
  * d/watch: version=4
  * Add autopkgtest

 -- Andreas Tille <tille@debian.org>  Sun, 04 Dec 2016 23:54:00 +0100

=== debian/control ===
Source: r-cran-lhs
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Pablo Oliveira <pablo@sifflez.org>
Section: gnu-r
Priority: optional
Build-Depends: r-base-dev,
               xvfb,
               xauth,
               xfonts-base,
               r-base-core,
               debhelper (>= 10),
               dh-r
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-lhs.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-lhs.git
Homepage: https://cran.r-project.org/package=lhs

Package: r-cran-lhs
Architecture: any
Depends: ${R:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R package "lhs: Latin Hypercube Samples"
 This package provides a number of methods for creating and augmenting Latin
 Hypercube Samples.
 .
 Latin hypercube sampling (LHS) is a statistical method for generating a sample
 of plausible collections of parameter values from a multidimensional
 distribution. The sampling method is often used to construct computer
 experiments.

=== debian/watch ===
version=4
http://cran.r-project.org/src/contrib/lhs_(.+).tar.gz

## r-cran-lhs 0.16

=== debian/changelog ===
r-cran-lhs (0.16-2) unstable; urgency=medium

  * Pablo Oliveira confirmed to orphan the package
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Thu, 21 Jun 2018 19:29:10 +0200

r-cran-lhs (0.16-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.1.3
  * debhelper 11
  * Enhance short description

 -- Andreas Tille <tille@debian.org>  Mon, 12 Mar 2018 08:49:16 +0100

r-cran-lhs (0.14-2) unstable; urgency=medium

  * Team upload.
  * Add missing r-cran-runit test dependency.
  * Use secure URL in debian/watch.
  * Bump Standards-Version to 4.1.1.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 14 Nov 2017 10:33:01 +0100

=== debian/control ===
Source: r-cran-lhs
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               xvfb,
               xauth,
               xfonts-base
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-lhs
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-lhs.git
Homepage: https://cran.r-project.org/package=lhs

Package: r-cran-lhs
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R Latin Hypercube Samples
 This package provides a number of methods for creating and augmenting Latin
 Hypercube Samples.
 .
 Latin hypercube sampling (LHS) is a statistical method for generating a sample
 of plausible collections of parameter values from a multidimensional
 distribution. The sampling method is often used to construct computer
 experiments.

## r-cran-lhs 1.0.1

=== DESCRIPTION ===
Package: lhs
Title: Latin Hypercube Samples
Version: 1.0.1
Authors@R: 
    person(given = "Rob",
           family = "Carnell",
           role = c("aut", "cre"),
           email = "bertcarnell@gmail.com")
Description: Provides a number of methods for creating and augmenting Latin Hypercube Samples.
License: GPL-3
Encoding: UTF-8
LazyData: true
Depends: R (>= 3.4.0)
LinkingTo: Rcpp
Imports: Rcpp
Suggests: testthat, DoE.base, knitr, rmarkdown, covr
URL: https://github.com/bertcarnell/lhs
BugReports: https://github.com/bertcarnell/lhs/issues
RoxygenNote: 6.1.1
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2019-02-02 20:54:26 UTC; bertc
Author: Rob Carnell [aut, cre]
Maintainer: Rob Carnell <bertcarnell@gmail.com>
Repository: CRAN
Date/Publication: 2019-02-03 11:00:14 UTC

=== debian/changelog ===
r-cran-lhs (1.0.1-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:24:25 +0100

r-cran-lhs (1.0.1-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Sun, 03 Feb 2019 22:45:50 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
+               r-cran-rcpp,
                xvfb,
                xauth,
                xfonts-base
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-lhs
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-lhs.git
 Homepage: https://cran.r-project.org/package=lhs

## r-cran-lhs 1.0.2

=== debian/changelog ===
r-cran-lhs (1.0.2-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 16:37:56 +0000

r-cran-lhs (1.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Thu, 16 Apr 2020 22:07:35 +0200

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,20 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-rcpp,
                xvfb,
                xauth,
                xfonts-base
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-lhs
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-lhs.git
 Homepage: https://cran.r-project.org/package=lhs
+Rules-Requires-Root: no
 
 Package: r-cran-lhs
 Architecture: any

## r-cran-lhs 1.1.1

=== DESCRIPTION ===
Package: lhs
Title: Latin Hypercube Samples
Version: 1.1.1
Authors@R: 
    person(given = "Rob",
           family = "Carnell",
           role = c("aut", "cre"),
           email = "bertcarnell@gmail.com")
Description: Provides a number of methods for creating and augmenting Latin Hypercube Samples and Orthogonal Array Latin Hypercube Samples.
License: GPL-3
Encoding: UTF-8
LazyData: true
Depends: R (>= 3.4.0)
LinkingTo: Rcpp
Imports: Rcpp
Suggests: testthat, assertthat, DoE.base, knitr, rmarkdown, covr
URL: https://github.com/bertcarnell/lhs
BugReports: https://github.com/bertcarnell/lhs/issues
RoxygenNote: 7.1.0
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2020-10-03 03:12:17 UTC; bertc
Author: Rob Carnell [aut, cre]
Maintainer: Rob Carnell <bertcarnell@gmail.com>
Repository: CRAN
Date/Publication: 2020-10-05 09:50:14 UTC

=== debian/changelog ===
r-cran-lhs (1.1.1-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Refer to specific version of license GPL-2+.

 -- Andreas Tille <tille@debian.org>  Tue, 06 Oct 2020 12:34:24 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-rcpp,

## r-cran-lhs 1.1.3

=== DESCRIPTION ===
Package: lhs
Title: Latin Hypercube Samples
Version: 1.1.3
Authors@R: 
    person(given = "Rob",
           family = "Carnell",
           role = c("aut", "cre"),
           email = "bertcarnell@gmail.com")
Description: Provides a number of methods for creating and augmenting Latin Hypercube Samples and Orthogonal Array Latin Hypercube Samples.
License: GPL-3
Encoding: UTF-8
Depends: R (>= 3.4.0)
LinkingTo: Rcpp
Imports: Rcpp
Suggests: testthat, assertthat, DoE.base, knitr, rmarkdown, covr
URL: https://github.com/bertcarnell/lhs
BugReports: https://github.com/bertcarnell/lhs/issues
RoxygenNote: 7.1.1
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2021-09-08 00:16:13 UTC; bertc
Author: Rob Carnell [aut, cre]
Maintainer: Rob Carnell <bertcarnell@gmail.com>
Repository: CRAN
Date/Publication: 2021-09-08 06:50:02 UTC

=== debian/changelog ===
r-cran-lhs (1.1.3-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Test-Depends: r-cran-assertthat
  * Drop r-cran-runit from Test-Depends

 -- Andreas Tille <tille@debian.org>  Tue, 21 Sep 2021 10:02:07 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                xvfb,
                xauth,
                xfonts-base
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-lhs
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-lhs.git
 Homepage: https://cran.r-project.org/package=lhs

## r-cran-lhs 1.1.5

=== debian/changelog ===
r-cran-lhs (1.1.5-1) unstable; urgency=medium

  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 04 May 2022 09:55:09 +0200

r-cran-lhs (1.1.4-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 11 Mar 2022 07:10:01 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: r-cran-lhs
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-lhs
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-lhs.git
+Homepage: https://cran.r-project.org/package=lhs
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -11,11 +15,7 @@
                xvfb,
                xauth,
                xfonts-base
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-lhs
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-lhs.git
-Homepage: https://cran.r-project.org/package=lhs
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-lhs
 Architecture: any

## r-cran-lhs 1.1.6

=== DESCRIPTION ===
Package: lhs
Title: Latin Hypercube Samples
Version: 1.1.6
Authors@R: 
    person(given = "Rob",
           family = "Carnell",
           role = c("aut", "cre"),
           email = "bertcarnell@gmail.com")
Description: Provides a number of methods for creating and augmenting Latin Hypercube Samples and Orthogonal Array Latin Hypercube Samples.
License: GPL-3
Encoding: UTF-8
Depends: R (>= 3.4.0)
LinkingTo: Rcpp
Imports: Rcpp
Suggests: testthat, assertthat, DoE.base, knitr, rmarkdown
URL: https://github.com/bertcarnell/lhs
BugReports: https://github.com/bertcarnell/lhs/issues
RoxygenNote: 7.2.2
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2022-12-17 19:41:08 UTC; bertc
Author: Rob Carnell [aut, cre]
Maintainer: Rob Carnell <bertcarnell@gmail.com>
Repository: CRAN
Date/Publication: 2022-12-17 21:30:02 UTC

=== debian/changelog ===
r-cran-lhs (1.1.6-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Lintian-overrides (see lintian bug #1017966)

 -- Andreas Tille <tille@debian.org>  Tue, 20 Dec 2022 14:48:44 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-lhs
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-lhs.git
 Homepage: https://cran.r-project.org/package=lhs
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-assertthat
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/lhs_(.+).tar.gz

## r-cran-lhs 1.2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: lhs
 Title: Latin Hypercube Samples
-Version: 1.1.6
+Version: 1.2.0
 Authors@R: 
     person(given = "Rob",
            family = "Carnell",
@@ -12,14 +12,14 @@
 Depends: R (>= 3.4.0)
 LinkingTo: Rcpp
 Imports: Rcpp
-Suggests: testthat, assertthat, DoE.base, knitr, rmarkdown
+Suggests: testthat, DoE.base, knitr, rmarkdown
 URL: https://github.com/bertcarnell/lhs
 BugReports: https://github.com/bertcarnell/lhs/issues
-RoxygenNote: 7.2.2
+RoxygenNote: 7.3.2
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2022-12-17 19:41:08 UTC; bertc
+Packaged: 2024-06-30 21:59:33 UTC; bertc
 Author: Rob Carnell [aut, cre]
 Maintainer: Rob Carnell <bertcarnell@gmail.com>
 Repository: CRAN
-Date/Publication: 2022-12-17 21:30:02 UTC
+Date/Publication: 2024-06-30 23:10:02 UTC

=== debian/changelog ===
r-cran-lhs (1.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 02 Sep 2024 10:16:03 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-lhs
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-lhs.git
 Homepage: https://cran.r-project.org/package=lhs
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
